/*---------------------------------------------------------------------------

	File:
		emwindow.h

	Abstract:
		Declarations for the main emulator window

	Revisions:
		11-Dec-97 EAM Created

---------------------------------------------------------------------------*/

#ifndef _EMWINDOW_H_
#define _EMWINDOW_H_

#include "wndmgr.h"

class CEmWindow : public IWindow
{
public:
	// *** IUnknown methods ***
	virtual HRESULT __stdcall QueryInterface(REFIID riid, void **ppvObject);
	virtual ULONG __stdcall AddRef(void);
	virtual ULONG __stdcall Release(void);
	
	// *** IWindow methods ***
	virtual void UpdateUI(int nCmdId, UINT &nState);
	virtual BOOL PreTranslateMsg(MSG &msg);
	virtual LRESULT OnMessage(MSG &msg);

	CEmWindow();

protected:
	virtual ~CEmWindow();

private:
	ULONG m_cRef;
};

#endif

